library: libRooFit #include "RooAddition.h"

# RooAddition

class description - source file - inheritance tree (.pdf)

## class RooAddition : public RooAbsReal

| Inheritance Chart:
`TObject`
| <- | `TNamed`
`RooPrintable`
| <- | `RooAbsArg`
| <- | `RooAbsReal`
| <- | `RooAddition` |

        protected:

          virtual Double_t evaluate() const

        public:

                           RooAddition()
                           RooAddition(const char* name, const char* title, const RooArgSet& sumSet, Bool_t takeOwnerShip = kFALSE)
                           RooAddition(const char* name, const char* title, const RooArgList& sumSet1, const RooArgList& sumSet2, Bool_t takeOwnerShip = kFALSE)
                           RooAddition(const RooAddition& other, const char* name = "0")
                   virtual ~RooAddition()
            static TClass* Class()
          virtual TObject* clone(const char* newname) const
          virtual Double_t defaultErrorLevel() const
           virtual TClass* IsA() const
              virtual void ShowMembers(TMemberInspector& insp, char* parent)
              virtual void Streamer(TBuffer& b)
                      void StreamerNVirtual(TBuffer& b)

### Data Members

        protected:

            RooArgList _ownedList
          RooListProxy _set1
          RooListProxy _set2
            TIterator* _setIter1   ! do not persist
            TIterator* _setIter2   ! do not persist

## Class Description

RooAddition()

RooAddition(const char* name, const char* title, const RooArgSet& sumSet, Bool_t takeOwnership) : RooAbsReal(name, title), _set1("set1","First set of components",this), _set2("set2","Second set of components",this)

     Constructor

RooAddition(const char* name, const char* title, const RooArgList& sumSet1, const RooArgList& sumSet2, Bool_t takeOwnership) : RooAbsReal(name, title), _set1("set1","First set of components",this), _set2("set2","Second set of components",this)

     Constructor

RooAddition(const RooAddition& other, const char* name) : RooAbsReal(other, name), _set1("set1",this,other._set1), _set2("set2",this,other._set2)

     Copy constructor

~RooAddition()

Double_t evaluate() const

Double_t defaultErrorLevel() const

     See if we contain a RooNLLVar or RooChi2Var object

### Inline Functions

               TObject* clone(const char* newname) const
                TClass* Class()
                TClass* IsA() const
                   void ShowMembers(TMemberInspector& insp, char* parent)
                   void Streamer(TBuffer& b)
                   void StreamerNVirtual(TBuffer& b)

Last update: Tue Jun 28 18:10:48 2005
Copyright (c) 2000-2005, Regents of the University of California *